{% load gestion_projets_extras %}

  
<div class="remark primary"><p><b>Explication :</b> Phase de collecte de l'ensemble des sujets.</p><p> Vous pouvez ajouter n'importe quel sujet de votre liste personnelle ou créer un nouveau sujet.</p></div>
<div class="grid">
    <div class="row p-5">
        <div class="cell-lg-6">
            <!-- Mes sujets / actions -->
            <table class="table">
                <thead>
                <tr>
                    <th>Liste de mes sujets</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
            {% for subject in subject_list %}
                {% if user == subject.user and subject not in session.subjects.all %} 
                    <tr>
                        <td>{{ subject.title }}, {{ subject.user }}</td>
                        <td>
                            
                            <form action="{% url 'gestion_projets:session_add_subject' session.id subject.id %}" method="POST">
                                {% csrf_token %}
                                <a class="image-button success" title="Voir en détail le sujet" target="_blank" href="{% url 'gestion_projets:subject_view' subject.id %}"><center>
                                    <span class="mif-file-text icon"></span>
                                    <span class="caption">Voir</span></center>
                                </a>
                                <button class="image-button warning" title="Ajouter le sujet à la session en cours" type="submit">
                                    <span class="mif-arrow-right icon"></span>
                                    <span class="caption">Ajouter</span>
                                </button>
                            </form>
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
            </ul>
            </table>
            
            <div class="remark info"><p><b>Explication :</b> Vous pouvez ajouter un sujet parmi votre liste de sujets ou créer un nouveau sujet.</p></div>
            <a class="image-button info" title="Création d'un sujet" href="{% url 'gestion_projets:subject_new' %}"><center>
                <span class="mif-file-text icon"></span>
                <span class="caption">Création d'un sujet</span></center>
            </a>
        </div>
        <div class="cell-lg-6">
            <!-- Liste des sujets -->
            <table class="table">
                <thead>
                <tr>
                    <th>Liste des sujets de la session</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for subject in session.subjects.all %}
                    <tr>
                        <td>{{ subject.title }}, {{ subject.user }}</td>
                        <td> 
                            <form action="{% url 'gestion_projets:session_remove_subject' session.id subject.id %}" method="POST">
                                {% csrf_token %}
                                <a class="image-button success" title="Voir en détail le sujet" target="_blank" href="{% url 'gestion_projets:subject_view' subject.id %}"><center>
                                    <span class="mif-file-text icon"></span>
                                    <span class="caption">Voir</span></center>
                                </a>
                            {% if user == subject.user %}
                                <button class="image-button warning" title="Enlever le sujet de la session" type="submit">
                                    <span class="mif-arrow-left icon"></span>
                                    <span class="caption">Enlever</span>
                                </button>
                            {% endif %}
                            </form>
                        </td>
                    </tr>
                {% endfor %}
                </ul>
                </table>
        </div>
    </div>
</div>
